Jump to content
daniel_the_swede

Installation issues - Roon on WS2012 R2 and AO 1.30

Rate this topic

Recommended Posts

I posted this in topic [HOW-TO] Roon and RoonServer on Windows Server 2012 R2 but I'm not seeing any response. Maybe because I was hijacking an old thread...

I'm running AO 1.30 on WS2012 R2 and trying to install Roon core (i.e. server and audio endpoint). I don't recall the name of the AO mode I'm using, but I have GUI starting up foobar2k as the default shell. 

Since my AO is too old to use the method in post 1 of the topic above, I'm trying to add the essentials experience and the media pack in WS2012. (Roon itself installed fine but is complaining about missing required audio codecs.)

My current stumbling block is to install the essentials experience I need to add essential experience role via server manager. There is a red flag at start of server manager and clicking on it informs me that "Configuration refresh failed with the following error: The service cannot be started, either because it is disabled or it has no enabled devices associated with it.".  Googling the error text suggested it could be solved by running "for /f %s in (‘dir /b *.mof *.mfl’) do mofcomp %s" in the AutoRecover directory, but it's empty in my computer.

I've tried turning off most optimisation in AO but it doesn't make any difference. I need some help, please.

Share this post


Link to post
Share on other sites

Daniel, I would start by investing in the current version of AO. AudioPhil has made so many different changes that have eliminated many of the earlier problems that I entailed, as are well documented in the original 2012R2 posts here, over the earlier version of AO. I now use the current AO in GUI mode with WS2019 — it sounds great, updating programs is easy and it got rid of dealing with all the pesky issues you describe. Now, I was using 2012R2 Standard, and if that is what you do have, there is no need to go to essentials. In fact, starting with AO 2.20, AudioPhil eliminated the need to add the media pack and codecs — it all came aboard to the extent required when selecting Roon support. I’ve never used FooBar nor any AO earlier than 2.20, so I can’t help on the question of whether selecting Roon support would solve your FooBar problems, assuming you use a newer AO version. I wish you good luck!  Cheers. JCR 

Share this post


Link to post
Share on other sites

@daniel_the_swede -- i agree with @jrobbins50.  v1.3 is quite old at this point and software has evolved.  seems like your time would be better served updating ao first.


source:  intel nuc8i5 (audiolinux, roon core) > intel nuc6i5 (win10, ao, fidelizer pro, dirac live, roon) > schiit yggdrasil (gen 5, analog 2)
headphone rig:  bryston bha-1 > senn hd600
two-channel rig:  bryston bha-1 > parasound a21 > monitor audio gx100

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...